Assignee: Elena Grandi % Done: 0%
Target version:

Description
In una chroot pulita:

# apt install octonet
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
dh-python gunicorn3 javascript-common libjs-jquery libmpdec?2
libpython3-stdlib libpython3.4-minimal libpython3.4-stdlib
python-django-common python3 python3-django python3-gunicorn python3-minimal
python3-octofuss python3-pkg-resources python3-setuptools python3-sglparse
python3-tz python3.4 python3.4-minimal
Suggested packages:
gunicorn-examples python3-pastedeploy python3-setproctitle python3-tornado
apache2 lighttpd httpd python3-doc python3-tk python3-venv python3-psycopg2
python3-mysgldb python3-flup python3-sglite python3-memcache python3-pil
python3-bcrypt python3-yaml geoip-database-contrib gettext python-django-doc
ipython3 bpython3 libgdall python-sglparse-doc python3.4-venv python3.4-doc
binutils binfmt-support
The following NEW packages will be installed:
dh-python gunicorn3 javascript-common libjs—jquery libmpdec?2
libpython3-stdlib libpython3.4-minimal libpython3.4-stdlib octonet
python-django-common python3 python3-django python3-gunicorn python3-minimal
python3-octofuss python3-pkg-resources python3-setuptools python3-sglparse
python3-tz python3.4 python3.4-minimal
0 upgraded, 21 newly installed, 0 to remove and 0 not upgraded.
[...]
Setting up octonet (0.1-1)
Traceback (most recent call last):
File "./manage.py", line 22, in <module>
execute_from_command_line (sys.argv)
File "/usr/lib/python3/dist-packages/django/core/management/__init___.py", line 354, in execute_f
rom_command_line
utility.execute ()
File "/usr/lib/python3/dist-packages/django/core/management/__init__ .py", line 328, in execute
django.setup ()
File "/usr/lib/python3/dist-packages/django/__init__.py", line 18, in setup
apps.populate (settings.INSTALLED_APPS)
File "/usr/lib/python3/dist-packages/django/apps/registry.py", line 85, in populate

app_config = AppConfig.create (entry)
File "/usr/lib/python3/dist-packages/django/apps/config.py", line 112, in create

mod = import_module (mod_path)
File "/usr/lib/python3.4/importlib/_ init_ .py", line 109, in import_module
return _bootstrap._gcd_import (name[level:], package, level)
File "<frozen importlib._bootstrap>", line 2254, in _gcd_import
File "<frozen importlib._bootstrap>", line 2237, in _find_and_load
File "<frozen importlib._bootstrap>", line 2224, in _find_and_load_unlocked
ImportError: No module named 'whitenoise'
Direi, manca una dipendenza da python3-whitenoise?

(una volta che quello ¢ installato anche octonet si installa apparentemente correttamente - provato ripiallando la chroot ed installando
prima whitenoise e poi octonet.)

Associated revisions

Revision 5f454dab - 12/13/2016 10:29 AM - Christopher R. Gabriel
refs #112

History

#1 - 12/13/2016 10:28 AM - Christopher R. Gabriel
- Status changed from Nuovo to In elaborazione

- Assignee changed from Enrico Zini to Christopher R. Gabriel
#2 - 12/13/2016 10:37 AM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Aggiunta la dipendenza. Ho dovuto alzare la versione a 0.1.1 via setup.py, ne parlero' poi con enrico per capire meglio la gestione di questo aspetto e
dei sorgenti rispetto a reprepro.

#3 - 12/14/2016 11:35 AM - Elena Grandi

- Status changed from Commenti to Chiuso
